CREATE TABLE CRST_GL_HISTORICAL_RATES
(
  SET_OF_BOOKS_ID      NUMBER                   NOT NULL,
  PERIOD_NAME          VARCHAR2(15 BYTE)        NOT NULL,
  PERIOD_NUM           NUMBER(15)               NOT NULL,
  PERIOD_YEAR          NUMBER(15)               NOT NULL,
  CODE_COMBINATION_ID  NUMBER                   NOT NULL,
  TARGET_CURRENCY      VARCHAR2(15 BYTE)        NOT NULL,
  UPDATE_FLAG          VARCHAR2(1 BYTE)         NOT NULL,
  USAGE_CODE           VARCHAR2(1 BYTE)         NOT NULL,
  LAST_UPDATE_DATE     DATE                     NOT NULL,
  LAST_UPDATED_BY      NUMBER                   NOT NULL,
  CREATION_DATE        DATE,
  CREATED_BY           NUMBER(15),
  LAST_UPDATE_LOGIN    NUMBER(15),
  RATE_TYPE            VARCHAR2(1 BYTE),
  TRANSLATED_RATE      NUMBER,
  TRANSLATED_AMOUNT    NUMBER,
  ACCOUNT_TYPE         VARCHAR2(1 BYTE),
  ATTRIBUTE1           VARCHAR2(150 BYTE),
  ATTRIBUTE2           VARCHAR2(150 BYTE),
  ATTRIBUTE3           VARCHAR2(150 BYTE),
  ATTRIBUTE4           VARCHAR2(150 BYTE),
  ATTRIBUTE5           VARCHAR2(150 BYTE),
  CONTEXT              VARCHAR2(150 BYTE),
  DUMMY                  CHAR(1),
  LAST_UPDATED_NAME      VARCHAR2(100),
  CREATED_NAME           VARCHAR2(100),
  SOB_SHORT_NAME         VARCHAR2(100),
  CODE_COMBINATION_ID_D  VARCHAR2(100)
);
